Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160473 - pygtk2 badly packaged
Summary: pygtk2 badly packaged
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pygtk2
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 12:04 UTC by Andrea Santilli
Modified: 2013-03-13 04:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-06 20:32:35 UTC


Attachments (Terms of Use)

Description Andrea Santilli 2005-06-15 12:04:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; it-IT; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Some pygtk2 mantainer has fought with rpm...
Just try to run one the programs that depend on it. Let's take printconf-gui for example.
if you run it as normal user and insert root password it's alright but try to login as root and run it (it's happens su'ing from a terminal too):

Traceback (most recent call last):
  File "/usr/sbin/printconf-gui", line 7, in ?
    import queueTree
  File "/usr/share/printconf/util/queueTree.py", line 71, in ?
    import gtk
  File "/usr/src/build/535819-i386/install/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 37, in ?
RuntimeError: could not open display

/usr/src/build/535819-i386/install??????????? has it been taken as RPM_BUILD_ROOT? all pygtk2 libraries contain that directory.

Version-Release number of selected component (if applicable):
2.6.0-2

How reproducible:
Always

Steps to Reproduce:
1. login as root
2. run a program which is dependant from pygtk2
3. the program point to a wrong library location
  

Additional info:

Comment 1 John (J5) Palmieri 2005-06-15 15:18:25 UTC
This error just notes that you don't have an X display set. The 
/usr/src/build/535819-i386/install is just .pyc screwyness and has nothing to do
with this error.  It shouldn't cause a problem.


Note You need to log in before you can comment on or make changes to this bug.